Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.search.federation.impl
Class SearchFederationService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.search.federation.impl.SearchFederationService

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, SearchFederation, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class SearchFederationService

extends AbstractJBossService
implements SearchFederation

Version:
  $Revision: 8784 $
Author:
  Thomas Heute

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`SearchFederationService()`

Method Summary
`FederatedSearcher` | `getFederatedSearcher(java.lang.String id)`
`java.util.List` | `getFederatedSearcherList()`
`void` | `register(FederatedSearcher federatedSearcher)`
`java.util.List` | `search(FederatedQuery query)`
`java.util.List` | `search(FederatedQuery query, java.util.List searchers)`
`void` | `unregister(java.lang.String id)`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchFederationService

    public SearchFederationService()

Method Detail

### register

    public void register(FederatedSearcher federatedSearcher)

  Specified by:
    `register` in interface `SearchFederation`

### unregister

    public void unregister(java.lang.String id)

  Specified by:
    `unregister` in interface `SearchFederation`

### getFederatedSearcherList

    public java.util.List getFederatedSearcherList()

  Specified by:
    `getFederatedSearcherList` in interface `SearchFederation`

### getFederatedSearcher

    public FederatedSearcher getFederatedSearcher(java.lang.String id)

  Specified by:
    `getFederatedSearcher` in interface `SearchFederation`

### search

    public java.util.List search(FederatedQuery query)
                          throws SearchingException

  Specified by:
    `search` in interface `SearchFederation`
  Throws:
    `SearchingException`

### search

    public java.util.List search(FederatedQuery query,
                                 java.util.List searchers)
                          throws SearchingException

  Specified by:
    `search` in interface `SearchFederation`
  Throws:
    `SearchingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD